Add Document
curl --request POST \
--url https://api.libraria.ai/library/{library_id}/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"text": "<string>",
"title": "<string>",
"sourceUrl": "<string>",
"imageSnippet": "<string>"
}
'import requests
url = "https://api.libraria.ai/library/{library_id}/document"
payload = {
"url": "<string>",
"text": "<string>",
"title": "<string>",
"sourceUrl": "<string>",
"imageSnippet": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
text: '<string>',
title: '<string>',
sourceUrl: '<string>',
imageSnippet: '<string>'
})
};
fetch('https://api.libraria.ai/library/{library_id}/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "queued",
"message": "Your document is being processed"
}
Libraria API
Add Document
Add a new document to your library via scraping or raw text
POST
/
library
/
{library_id}
/
document
Add Document
Parameters
The ID of the library to add the document to
Body
You may choose one of:- A URL to scrape
- A raw text document
The url to scrape from
The text body of the document you want to add
The text body of the document you want to add
The source of the document. Used for the ‘Learn More’ snippet
The url of the image snippet you want to add in responses
Response
One of queued, success, failed
{
"status": "queued",
"message": "Your document is being processed"
}
⌘I

